package Calcu;

/**
 * <p>Clase de arranque de la calculadora sencilla.
 * Genera el interfaz gráfico y un controlador asociado. </p>
 *
 * <p>Ejemplo para TAP. Ejecuta operaciones secuencialmente.<br/>
 * No probada a fondo. Comunicar errores que se detecten al autor.</p>
 *
 * @author GBG  (german.bordel@ehu.es)
 * @version 20201116
 */
public final class Calculadora {

    private static CalcuGUI gui;

    public static void main(String args[]) throws Exception {

        //Se poner el look-and-feel Nimbus si es posible
        try {
             javax.swing.UIManager.setLookAndFeel("javax.swing.plaf.nimbus.NimbusLookAndFeel");
        }catch (Exception ignore) {}

        //Se envía a la cola del motor gráfico un GUI de esta misma clase y se espera
        java.awt.EventQueue.invokeAndWait(new Runnable() {
           @Override
            public void run() {
                (gui= new CalcuGUI()).setVisible(true);
            }
        });

        //Se genera un controlador de calculadora para el GUI generado
        new CalcuControl(gui);
    }
}


